#include <iostream.h>

extern "C" {
void anafast_(int&, int&, int&,double&,float*,float*,float*,float*,
	      float*,float*,float*);
void synfast_(int&, int&, int&,int&, float&,float*,float*,float*,
	      double*, double*,double*,double*,double*,float*);
void  input_map_(char*,float*,int&);
void  ecrire_fits_(int&,int&,int&,float*,char*,char*,int&,float&,float&);

}

void anafast_(int&, int&, int&,double&,float*,float*,float*,float*,
	      float*,float*,float*)
{
cerr << "anafast_() bidon ... - Fonction vide - Reza 04/99 " << endl;
throw " Unsupported function - anafast_() bidon ";
}

void synfast_(int&, int&, int&,int&, float&,float*,float*,float*,
	      double*, double*,double*,double*,double*,float*)
{
cerr << "synfast_() bidon ... - Fonction vide - Reza 04/99 " << endl;
throw " Unsupported function - synfast_() bidon ";
}

void  input_map_(char*,float*,int&)
{
cerr << "input_map_() bidon ... - Fonction vide - Reza 04/99 " << endl;
throw " Unsupported function - input_map_() bidon " ;
}

void  ecrire_fits_(int&,int&,int&,float*,char*,char*,int&,float&,float&)
{
cerr << "ecrire_fits_() bidon ... - Fonction vide - Reza 04/99 " << endl;
throw " Unsupported function - ecrire_fits_() bidon " ;
}


